Loading...
Searching...
No Matches
find_if.hpp File Reference

## Functions

template<typename I , typename S , typename F , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && indirect_unary_predicate<F, projected<I, P>>
constexpr I | ranges::find_if (I first, S last, F pred, P proj=P{})
| template function `find`
template<typename Rng , typename F , typename P = identity> requires input_range<Rng> && indirect_unary_predicate<F, projected<iterator_t<Rng>, P>>
constexpr borrowed_iterator_t< Rng > | ranges::find_if (Rng &&rng, F pred, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.